## indi-starbook 0.8%2B20221222163625

=== debian/changelog ===
indi-starbook (0.8+20221222163625-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.8

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 16:37:08 +0000

indi-starbook (0.8+20220611132157-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:22:09 +0000

indi-starbook (0.8+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 17:01:15 +0000

indi-starbook (0.8-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 08 Dec 2021 22:30:07 +0100

indi-starbook (0.8-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Dec 2021 18:30:07 +0100
