## indi-starbook 0.8+20220129131520

=== debian/control ===
Source: indi-starbook
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
	, libcurl4-gnutls-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-starbook
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-starbook.git

Package: indi-starbook
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Vixen Starbook telescope controllers
 This package contains the INDI driver for the Vixen Starbook telescope
 controllers. It aims for compatibility with first generation Starbook.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
