## indi-starbook 0.8+20221222163625

=== debian/changelog ===
indi-starbook (0.8+20221222163625-2) unstable; urgency=medium

  * add cmake4-patch (Closes: #1113033)
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 29 Sep 2025 11:37:08 +0200
