=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	, libindi-dev
 	, libnova-dev
 	, libcurl4-gnutls-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
